Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.internal.wizards
Class ShareWizard

    java.lang.Object
      org.eclipse.jface.wizard.Wizard
          org.eclipse.emf.ecp.internal.wizards.ShareWizard

All Implemented Interfaces:
  org.eclipse.jface.wizard.IWizard

    public class ShareWizard

extends org.eclipse.jface.wizard.Wizard

Author:
  Eugen Neufeld

Field Summary

Fields inherited from class org.eclipse.jface.wizard.Wizard
`DEFAULT_IMAGE`

Constructor Summary
`ShareWizard()`

Method Summary
`void` | `addPages()` .
`boolean` | `canFinish()` .
`ECPProvider` | `getProvider()`
`ECPRepository` | `getSelectedRepository()`
`void` | `init(ECPProvider provider)`
`boolean` | `performFinish()`
`void` | `setSelectedRepository(ECPRepository selectedRepository)`
`void` | `setUseExistingRepository(boolean useExistingRepository)`

Methods inherited from class org.eclipse.jface.wizard.Wizard
`addPage, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShareWizard

    public ShareWizard()

Method Detail

### getProvider

    public ECPProvider getProvider()

  Returns:
    the provider

### getSelectedRepository

    public ECPRepository getSelectedRepository()

  Returns:
    the selectedRepository

### setSelectedRepository

    public void setSelectedRepository(ECPRepository selectedRepository)

  Parameters:
    `selectedRepository` - the selectedRepository to set

### setUseExistingRepository

    public void setUseExistingRepository(boolean useExistingRepository)

  Parameters:
    `useExistingRepository` - whether to use an existing repository.

### addPages

    public void addPages()

  . ()

  Specified by:
    `addPages` in interface `org.eclipse.jface.wizard.IWizard`
  Overrides:
    `addPages` in class `org.eclipse.jface.wizard.Wizard`

### canFinish

    public boolean canFinish()

  . ()

  Specified by:
    `canFinish` in interface `org.eclipse.jface.wizard.IWizard`
  Overrides:
    `canFinish` in class `org.eclipse.jface.wizard.Wizard`

### performFinish

    public boolean performFinish()

  Specified by:
    `performFinish` in interface `org.eclipse.jface.wizard.IWizard`
  Specified by:
    `performFinish` in class `org.eclipse.jface.wizard.Wizard`

### init

    public void init(ECPProvider provider)

  Parameters:
    `provider` - - `ECPProvider` to filter the known `ECPRepository`s by

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.